images:
  erpnext:
    repository: registry.gitlab.com/bitspur/frappe/images/erpnext
    tag: 15.38.1
  mariadb:
    repository: bitnami/mariadb
    tag: 10.6.11-debian-11-r12

config:
  imagePullPolicy: Always
  updateStrategy: Recreate
  debug: false
  istio: false
  logs: false
  nginx:
    replicas: 1
    config: ''
    resources:
      enabled: defaults
      requests:
        cpu: 100m
        memory: 128Mi
      limits:
        cpu: 200m
        memory: 512Mi
  erpnext:
    replicas: 1
    initialApps: |
      erpnext
      hrms
    hostname: ''
    baseUrl: ''
    adminPassword: 'P@ssw0rd'
    rootUser: false
    fixVolume: false
    resources:
      enabled: defaults
      requests:
        cpu: 300m
        memory: 256Mi
      limits:
        cpu: 600m
        memory: 512Mi
  mysql:
    internal: true
    integration: ''
    host: ''
    password: 'P@ssw0rd'
    port: 3306
    username: root
    # url: ''

service:
  nginx:
    type: ClusterIP
    externalTrafficPolicy: Cluster
    nodePorts:
      http:
    lbPorts:
      http: 80

ingress:
  nginx:
    certificate: ''
    enabled: false
    hostname: ''
    tls: false
    issuer:
      name: ''

persistence:
  enabled: true
  size:
    worker: 1Gi
    logs: 1Gi
    mariadb: 1Gi
  storageClass:
    erpnext: efs-sc
    mariadb: ''
  kanister:
    enabled: false
    schedule: '0 0 * * *'
